/* gradio-settings.c generated by valac 0.46.1, the Vala compiler
 * generated from gradio-settings.vala, do not modify */

/* This file is part of Gradio.
 *
 * Gradio is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Gradio is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Gradio.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <glib-object.h>
#include <gio/gio.h>
#include <glib.h>
#include <float.h>
#include <math.h>
#include <gtk/gtk.h>

#define GRADIO_TYPE_SETTINGS (gradio_settings_get_type ())
#define GRADIO_SETTINGS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GRADIO_TYPE_SETTINGS, GradioSettings))
#define GRADIO_SETTINGS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), GRADIO_TYPE_SETTINGS, GradioSettingsClass))
#define GRADIO_IS_SETTINGS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GRADIO_TYPE_SETTINGS))
#define GRADIO_IS_SETTINGS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GRADIO_TYPE_SETTINGS))
#define GRADIO_SETTINGS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GRADIO_TYPE_SETTINGS, GradioSettingsClass))

typedef struct _GradioSettings GradioSettings;
typedef struct _GradioSettingsClass GradioSettingsClass;
typedef struct _GradioSettingsPrivate GradioSettingsPrivate;
typedef enum  {
	GRADIO_COMPARE_VOTES,
	GRADIO_COMPARE_NAME,
	GRADIO_COMPARE_LANGUAGE,
	GRADIO_COMPARE_COUNTRY,
	GRADIO_COMPARE_BITRATE,
	GRADIO_COMPARE_CLICKS,
	GRADIO_COMPARE_STATE,
	GRADIO_COMPARE_DATE
} GradioCompare;

#define GRADIO_TYPE_COMPARE (gradio_compare_get_type ())
enum  {
	GRADIO_SETTINGS_0_PROPERTY,
	GRADIO_SETTINGS_ENABLE_NOTIFICATIONS_PROPERTY,
	GRADIO_SETTINGS_ENABLE_TRAY_ICON_PROPERTY,
	GRADIO_SETTINGS_ENABLE_DARK_THEME_PROPERTY,
	GRADIO_SETTINGS_SHOW_TECHNICAL_INFO_PROPERTY,
	GRADIO_SETTINGS_ENABLE_MPRIS_PROPERTY,
	GRADIO_SETTINGS_ENABLE_BACKGROUND_PLAYBACK_PROPERTY,
	GRADIO_SETTINGS_ENABLE_CACHING_PROPERTY,
	GRADIO_SETTINGS_RESUME_PLAYBACK_ON_STARTUP_PROPERTY,
	GRADIO_SETTINGS_HIDE_BROKEN_STATIONS_PROPERTY,
	GRADIO_SETTINGS_PREVIOUS_STATION_PROPERTY,
	GRADIO_SETTINGS_VOLUME_POSITION_PROPERTY,
	GRADIO_SETTINGS_WINDOW_HEIGHT_PROPERTY,
	GRADIO_SETTINGS_WINDOW_WIDTH_PROPERTY,
	GRADIO_SETTINGS_ICON_ZOOM_PROPERTY,
	GRADIO_SETTINGS_STATION_SORTING_PROPERTY,
	GRADIO_SETTINGS_SORT_ASCENDING_PROPERTY,
	GRADIO_SETTINGS_MAX_SEARCH_RESULTS_PROPERTY,
	GRADIO_SETTINGS_NUM_PROPERTIES
};
static GParamSpec* gradio_settings_properties[GRADIO_SETTINGS_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

#define GRADIO_TYPE_MAIN_WINDOW (gradio_main_window_get_type ())
#define GRADIO_MAIN_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GRADIO_TYPE_MAIN_WINDOW, GradioMainWindow))
#define GRADIO_MAIN_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), GRADIO_TYPE_MAIN_WINDOW, GradioMainWindowClass))
#define GRADIO_IS_MAIN_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GRADIO_TYPE_MAIN_WINDOW))
#define GRADIO_IS_MAIN_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GRADIO_TYPE_MAIN_WINDOW))
#define GRADIO_MAIN_WINDOW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GRADIO_TYPE_MAIN_WINDOW, GradioMainWindowClass))

typedef struct _GradioMainWindow GradioMainWindow;
typedef struct _GradioMainWindowClass GradioMainWindowClass;

struct _GradioSettings {
	GObject parent_instance;
	GradioSettingsPrivate * priv;
};

struct _GradioSettingsClass {
	GObjectClass parent_class;
};

struct _GradioSettingsPrivate {
	GSettings* settings;
	gboolean _enable_notifications;
	gboolean _enable_tray_icon;
	gboolean _enable_dark_theme;
	gboolean _enable_mpris;
	gboolean _enable_background_playback;
	gboolean _enable_caching;
	gboolean _resume_playback_on_startup;
	gboolean _hide_broken_stations;
	gboolean _show_technical_information;
	gint _previous_station;
	gdouble _volume_position;
	gint _window_height;
	gint _window_width;
	gint _icon_zoom;
	GradioCompare _station_sorting;
	gboolean _sort_ascending;
	gint _max_search_results;
};

static gint GradioSettings_private_offset;
static gpointer gradio_settings_parent_class = NULL;
extern GradioMainWindow* gradio_app_window;

GType gradio_settings_get_type (void) G_GNUC_CONST;
G_DEFINE_AUTOPTR_CLEANUP_FUNC (GradioSettings, g_object_unref)
GType gradio_compare_get_type (void) G_GNUC_CONST;
GradioSettings* gradio_settings_new (void);
GradioSettings* gradio_settings_construct (GType object_type);
void gradio_settings_apply (GradioSettings* self);
gboolean gradio_settings_get_enable_notifications (GradioSettings* self);
void gradio_settings_set_enable_notifications (GradioSettings* self,
                                               gboolean value);
gboolean gradio_settings_get_enable_tray_icon (GradioSettings* self);
void gradio_settings_set_enable_tray_icon (GradioSettings* self,
                                           gboolean value);
GType gradio_main_window_get_type (void) G_GNUC_CONST;
G_DEFINE_AUTOPTR_CLEANUP_FUNC (GradioMainWindow, g_object_unref)
void gradio_main_window_show_tray_icon (GradioMainWindow* self,
                                        gboolean b);
gboolean gradio_settings_get_enable_dark_theme (GradioSettings* self);
void gradio_settings_set_enable_dark_theme (GradioSettings* self,
                                            gboolean value);
gboolean gradio_settings_get_show_technical_info (GradioSettings* self);
void gradio_settings_set_show_technical_info (GradioSettings* self,
                                              gboolean value);
gboolean gradio_settings_get_enable_mpris (GradioSettings* self);
void gradio_settings_set_enable_mpris (GradioSettings* self,
                                       gboolean value);
gboolean gradio_settings_get_enable_background_playback (GradioSettings* self);
void gradio_settings_set_enable_background_playback (GradioSettings* self,
                                                     gboolean value);
gboolean gradio_settings_get_enable_caching (GradioSettings* self);
void gradio_settings_set_enable_caching (GradioSettings* self,
                                         gboolean value);
gboolean gradio_settings_get_resume_playback_on_startup (GradioSettings* self);
void gradio_settings_set_resume_playback_on_startup (GradioSettings* self,
                                                     gboolean value);
gboolean gradio_settings_get_hide_broken_stations (GradioSettings* self);
void gradio_settings_set_hide_broken_stations (GradioSettings* self,
                                               gboolean value);
gint gradio_settings_get_previous_station (GradioSettings* self);
void gradio_settings_set_previous_station (GradioSettings* self,
                                           gint value);
gdouble gradio_settings_get_volume_position (GradioSettings* self);
void gradio_settings_set_volume_position (GradioSettings* self,
                                          gdouble value);
gint gradio_settings_get_window_height (GradioSettings* self);
void gradio_settings_set_window_height (GradioSettings* self,
                                        gint value);
gint gradio_settings_get_window_width (GradioSettings* self);
void gradio_settings_set_window_width (GradioSettings* self,
                                       gint value);
gint gradio_settings_get_icon_zoom (GradioSettings* self);
void gradio_settings_set_icon_zoom (GradioSettings* self,
                                    gint value);
GradioCompare gradio_settings_get_station_sorting (GradioSettings* self);
void gradio_settings_set_station_sorting (GradioSettings* self,
                                          GradioCompare value);
gboolean gradio_settings_get_sort_ascending (GradioSettings* self);
void gradio_settings_set_sort_ascending (GradioSettings* self,
                                         gboolean value);
gint gradio_settings_get_max_search_results (GradioSettings* self);
void gradio_settings_set_max_search_results (GradioSettings* self,
                                             gint value);
static void gradio_settings_finalize (GObject * obj);
static void _vala_gradio_settings_get_property (GObject * object,
                                         guint property_id,
                                         GValue * value,
                                         GParamSpec * pspec);
static void _vala_gradio_settings_set_property (GObject * object,
                                         guint property_id,
                                         const GValue * value,
                                         GParamSpec * pspec);

static inline gpointer
gradio_settings_get_instance_private (GradioSettings* self)
{
	return G_STRUCT_MEMBER_P (self, GradioSettings_private_offset);
}

GradioSettings*
gradio_settings_construct (GType object_type)
{
	GradioSettings * self = NULL;
	GSettings* _tmp0_;
	GSettings* _tmp1_;
	GSettings* _tmp2_;
	GSettings* _tmp3_;
	GSettings* _tmp4_;
	GSettings* _tmp5_;
	GSettings* _tmp6_;
	GSettings* _tmp7_;
	GSettings* _tmp8_;
	GSettings* _tmp9_;
	GSettings* _tmp10_;
	GSettings* _tmp11_;
	GSettings* _tmp12_;
	GSettings* _tmp13_;
	GSettings* _tmp14_;
	GSettings* _tmp15_;
	GSettings* _tmp16_;
	GSettings* _tmp17_;
#line 41 "../src/gradio-settings.vala"
	self = (GradioSettings*) g_object_new (object_type, NULL);
#line 42 "../src/gradio-settings.vala"
	_tmp0_ = g_settings_new ("de.haeckerfelix.gradio");
#line 42 "../src/gradio-settings.vala"
	_g_object_unref0 (self->priv->settings);
#line 42 "../src/gradio-settings.vala"
	self->priv->settings = _tmp0_;
#line 44 "../src/gradio-settings.vala"
	_tmp1_ = self->priv->settings;
#line 44 "../src/gradio-settings.vala"
	self->priv->_enable_notifications = g_settings_get_boolean (_tmp1_, "enable-notifications");
#line 45 "../src/gradio-settings.vala"
	_tmp2_ = self->priv->settings;
#line 45 "../src/gradio-settings.vala"
	self->priv->_enable_tray_icon = g_settings_get_boolean (_tmp2_, "enable-tray-icon");
#line 46 "../src/gradio-settings.vala"
	_tmp3_ = self->priv->settings;
#line 46 "../src/gradio-settings.vala"
	self->priv->_enable_dark_theme = g_settings_get_boolean (_tmp3_, "enable-dark-theme");
#line 47 "../src/gradio-settings.vala"
	_tmp4_ = self->priv->settings;
#line 47 "../src/gradio-settings.vala"
	self->priv->_enable_mpris = g_settings_get_boolean (_tmp4_, "enable-mpris");
#line 48 "../src/gradio-settings.vala"
	_tmp5_ = self->priv->settings;
#line 48 "../src/gradio-settings.vala"
	self->priv->_enable_background_playback = g_settings_get_boolean (_tmp5_, "enable-background-playback");
#line 49 "../src/gradio-settings.vala"
	_tmp6_ = self->priv->settings;
#line 49 "../src/gradio-settings.vala"
	self->priv->_enable_caching = g_settings_get_boolean (_tmp6_, "enable-caching");
#line 50 "../src/gradio-settings.vala"
	_tmp7_ = self->priv->settings;
#line 50 "../src/gradio-settings.vala"
	self->priv->_resume_playback_on_startup = g_settings_get_boolean (_tmp7_, "resume-playback-on-startup");
#line 51 "../src/gradio-settings.vala"
	_tmp8_ = self->priv->settings;
#line 51 "../src/gradio-settings.vala"
	self->priv->_hide_broken_stations = g_settings_get_boolean (_tmp8_, "hide-broken-stations");
#line 52 "../src/gradio-settings.vala"
	_tmp9_ = self->priv->settings;
#line 52 "../src/gradio-settings.vala"
	self->priv->_show_technical_information = g_settings_get_boolean (_tmp9_, "show-technical-information");
#line 53 "../src/gradio-settings.vala"
	_tmp10_ = self->priv->settings;
#line 53 "../src/gradio-settings.vala"
	self->priv->_previous_station = g_settings_get_int (_tmp10_, "previous-station");
#line 54 "../src/gradio-settings.vala"
	_tmp11_ = self->priv->settings;
#line 54 "../src/gradio-settings.vala"
	self->priv->_volume_position = g_settings_get_double (_tmp11_, "volume-position");
#line 55 "../src/gradio-settings.vala"
	_tmp12_ = self->priv->settings;
#line 55 "../src/gradio-settings.vala"
	self->priv->_window_height = g_settings_get_int (_tmp12_, "window-height");
#line 56 "../src/gradio-settings.vala"
	_tmp13_ = self->priv->settings;
#line 56 "../src/gradio-settings.vala"
	self->priv->_window_width = g_settings_get_int (_tmp13_, "window-width");
#line 57 "../src/gradio-settings.vala"
	_tmp14_ = self->priv->settings;
#line 57 "../src/gradio-settings.vala"
	self->priv->_icon_zoom = g_settings_get_int (_tmp14_, "icon-zoom");
#line 58 "../src/gradio-settings.vala"
	_tmp15_ = self->priv->settings;
#line 58 "../src/gradio-settings.vala"
	self->priv->_station_sorting = (GradioCompare) g_settings_get_int (_tmp15_, "station-sorting");
#line 59 "../src/gradio-settings.vala"
	_tmp16_ = self->priv->settings;
#line 59 "../src/gradio-settings.vala"
	self->priv->_sort_ascending = g_settings_get_boolean (_tmp16_, "sort-ascending");
#line 60 "../src/gradio-settings.vala"
	_tmp17_ = self->priv->settings;
#line 60 "../src/gradio-settings.vala"
	self->priv->_max_search_results = g_settings_get_int (_tmp17_, "max-search-results");
#line 41 "../src/gradio-settings.vala"
	return self;
#line 295 "gradio-settings.c"
}

GradioSettings*
gradio_settings_new (void)
{
#line 41 "../src/gradio-settings.vala"
	return gradio_settings_construct (GRADIO_TYPE_SETTINGS);
#line 303 "gradio-settings.c"
}

void
gradio_settings_apply (GradioSettings* self)
{
	GSettings* _tmp0_;
#line 236 "../src/gradio-settings.vala"
	g_return_if_fail (self != NULL);
#line 237 "../src/gradio-settings.vala"
	_tmp0_ = self->priv->settings;
#line 237 "../src/gradio-settings.vala"
	g_settings_apply (_tmp0_);
#line 316 "gradio-settings.c"
}

gboolean
gradio_settings_get_enable_notifications (GradioSettings* self)
{
	gboolean result;
#line 65 "../src/gradio-settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 66 "../src/gradio-settings.vala"
	result = self->priv->_enable_notifications;
#line 66 "../src/gradio-settings.vala"
	return result;
#line 329 "gradio-settings.c"
}

void
gradio_settings_set_enable_notifications (GradioSettings* self,
                                          gboolean value)
{
	GSettings* _tmp0_;
#line 68 "../src/gradio-settings.vala"
	g_return_if_fail (self != NULL);
#line 69 "../src/gradio-settings.vala"
	self->priv->_enable_notifications = value;
#line 70 "../src/gradio-settings.vala"
	_tmp0_ = self->priv->settings;
#line 70 "../src/gradio-settings.vala"
	g_settings_set_boolean (_tmp0_, "enable-notifications", value);
#line 68 "../src/gradio-settings.vala"
	g_object_notify_by_pspec ((GObject *) self, gradio_settings_properties[GRADIO_SETTINGS_ENABLE_NOTIFICATIONS_PROPERTY]);
#line 347 "gradio-settings.c"
}

gboolean
gradio_settings_get_enable_tray_icon (GradioSettings* self)
{
	gboolean result;
#line 75 "../src/gradio-settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 76 "../src/gradio-settings.vala"
	result = self->priv->_enable_tray_icon;
#line 76 "../src/gradio-settings.vala"
	return result;
#line 360 "gradio-settings.c"
}

void
gradio_settings_set_enable_tray_icon (GradioSettings* self,
                                      gboolean value)
{
	GradioMainWindow* _tmp0_;
	GSettings* _tmp1_;
#line 78 "../src/gradio-settings.vala"
	g_return_if_fail (self != NULL);
#line 79 "../src/gradio-settings.vala"
	self->priv->_enable_tray_icon = value;
#line 80 "../src/gradio-settings.vala"
	_tmp0_ = gradio_app_window;
#line 80 "../src/gradio-settings.vala"
	gradio_main_window_show_tray_icon (_tmp0_, value);
#line 81 "../src/gradio-settings.vala"
	_tmp1_ = self->priv->settings;
#line 81 "../src/gradio-settings.vala"
	g_settings_set_boolean (_tmp1_, "enable-tray-icon", value);
#line 78 "../src/gradio-settings.vala"
	g_object_notify_by_pspec ((GObject *) self, gradio_settings_properties[GRADIO_SETTINGS_ENABLE_TRAY_ICON_PROPERTY]);
#line 383 "gradio-settings.c"
}

gboolean
gradio_settings_get_enable_dark_theme (GradioSettings* self)
{
	gboolean result;
#line 86 "../src/gradio-settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 87 "../src/gradio-settings.vala"
	result = self->priv->_enable_dark_theme;
#line 87 "../src/gradio-settings.vala"
	return result;
#line 396 "gradio-settings.c"
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 91 "../src/gradio-settings.vala"
	return self ? g_object_ref (self) : NULL;
#line 404 "gradio-settings.c"
}

void
gradio_settings_set_enable_dark_theme (GradioSettings* self,
                                       gboolean value)
{
	GtkSettings* gtk_settings = NULL;
	GtkSettings* _tmp0_;
	GtkSettings* _tmp1_;
	GSettings* _tmp2_;
#line 89 "../src/gradio-settings.vala"
	g_return_if_fail (self != NULL);
#line 90 "../src/gradio-settings.vala"
	self->priv->_enable_dark_theme = value;
#line 91 "../src/gradio-settings.vala"
	_tmp0_ = gtk_settings_get_default ();
#line 91 "../src/gradio-settings.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 91 "../src/gradio-settings.vala"
	gtk_settings = _tmp1_;
#line 92 "../src/gradio-settings.vala"
	g_object_set (gtk_settings, "gtk-application-prefer-dark-theme", value, NULL);
#line 93 "../src/gradio-settings.vala"
	_tmp2_ = self->priv->settings;
#line 93 "../src/gradio-settings.vala"
	g_settings_set_boolean (_tmp2_, "enable-dark-theme", value);
#line 89 "../src/gradio-settings.vala"
	_g_object_unref0 (gtk_settings);
#line 89 "../src/gradio-settings.vala"
	g_object_notify_by_pspec ((GObject *) self, gradio_settings_properties[GRADIO_SETTINGS_ENABLE_DARK_THEME_PROPERTY]);
#line 435 "gradio-settings.c"
}

gboolean
gradio_settings_get_show_technical_info (GradioSettings* self)
{
	gboolean result;
#line 98 "../src/gradio-settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 99 "../src/gradio-settings.vala"
	result = self->priv->_show_technical_information;
#line 99 "../src/gradio-settings.vala"
	return result;
#line 448 "gradio-settings.c"
}

void
gradio_settings_set_show_technical_info (GradioSettings* self,
                                         gboolean value)
{
	GSettings* _tmp0_;
#line 101 "../src/gradio-settings.vala"
	g_return_if_fail (self != NULL);
#line 102 "../src/gradio-settings.vala"
	self->priv->_show_technical_information = value;
#line 103 "../src/gradio-settings.vala"
	_tmp0_ = self->priv->settings;
#line 103 "../src/gradio-settings.vala"
	g_settings_set_boolean (_tmp0_, "show-technical-information", value);
#line 101 "../src/gradio-settings.vala"
	g_object_notify_by_pspec ((GObject *) self, gradio_settings_properties[GRADIO_SETTINGS_SHOW_TECHNICAL_INFO_PROPERTY]);
#line 466 "gradio-settings.c"
}

gboolean
gradio_settings_get_enable_mpris (GradioSettings* self)
{
	gboolean result;
#line 108 "../src/gradio-settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 109 "../src/gradio-settings.vala"
	result = self->priv->_enable_mpris;
#line 109 "../src/gradio-settings.vala"
	return result;
#line 479 "gradio-settings.c"
}

void
gradio_settings_set_enable_mpris (GradioSettings* self,
                                  gboolean value)
{
	GSettings* _tmp0_;
#line 111 "../src/gradio-settings.vala"
	g_return_if_fail (self != NULL);
#line 112 "../src/gradio-settings.vala"
	self->priv->_enable_mpris = value;
#line 113 "../src/gradio-settings.vala"
	_tmp0_ = self->priv->settings;
#line 113 "../src/gradio-settings.vala"
	g_settings_set_boolean (_tmp0_, "enable-mpris", value);
#line 111 "../src/gradio-settings.vala"
	g_object_notify_by_pspec ((GObject *) self, gradio_settings_properties[GRADIO_SETTINGS_ENABLE_MPRIS_PROPERTY]);
#line 497 "gradio-settings.c"
}

gboolean
gradio_settings_get_enable_background_playback (GradioSettings* self)
{
	gboolean result;
#line 118 "../src/gradio-settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 119 "../src/gradio-settings.vala"
	result = self->priv->_enable_background_playback;
#line 119 "../src/gradio-settings.vala"
	return result;
#line 510 "gradio-settings.c"
}

void
gradio_settings_set_enable_background_playback (GradioSettings* self,
                                                gboolean value)
{
	GSettings* _tmp0_;
#line 121 "../src/gradio-settings.vala"
	g_return_if_fail (self != NULL);
#line 122 "../src/gradio-settings.vala"
	self->priv->_enable_background_playback = value;
#line 123 "../src/gradio-settings.vala"
	_tmp0_ = self->priv->settings;
#line 123 "../src/gradio-settings.vala"
	g_settings_set_boolean (_tmp0_, "enable-background-playback", value);
#line 121 "../src/gradio-settings.vala"
	g_object_notify_by_pspec ((GObject *) self, gradio_settings_properties[GRADIO_SETTINGS_ENABLE_BACKGROUND_PLAYBACK_PROPERTY]);
#line 528 "gradio-settings.c"
}

gboolean
gradio_settings_get_enable_caching (GradioSettings* self)
{
	gboolean result;
#line 128 "../src/gradio-settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 129 "../src/gradio-settings.vala"
	result = self->priv->_enable_caching;
#line 129 "../src/gradio-settings.vala"
	return result;
#line 541 "gradio-settings.c"
}

void
gradio_settings_set_enable_caching (GradioSettings* self,
                                    gboolean value)
{
	GSettings* _tmp0_;
#line 131 "../src/gradio-settings.vala"
	g_return_if_fail (self != NULL);
#line 132 "../src/gradio-settings.vala"
	self->priv->_enable_caching = value;
#line 133 "../src/gradio-settings.vala"
	_tmp0_ = self->priv->settings;
#line 133 "../src/gradio-settings.vala"
	g_settings_set_boolean (_tmp0_, "enable-caching", value);
#line 131 "../src/gradio-settings.vala"
	g_object_notify_by_pspec ((GObject *) self, gradio_settings_properties[GRADIO_SETTINGS_ENABLE_CACHING_PROPERTY]);
#line 559 "gradio-settings.c"
}

gboolean
gradio_settings_get_resume_playback_on_startup (GradioSettings* self)
{
	gboolean result;
#line 138 "../src/gradio-settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 139 "../src/gradio-settings.vala"
	result = self->priv->_resume_playback_on_startup;
#line 139 "../src/gradio-settings.vala"
	return result;
#line 572 "gradio-settings.c"
}

void
gradio_settings_set_resume_playback_on_startup (GradioSettings* self,
                                                gboolean value)
{
	GSettings* _tmp0_;
#line 141 "../src/gradio-settings.vala"
	g_return_if_fail (self != NULL);
#line 142 "../src/gradio-settings.vala"
	self->priv->_resume_playback_on_startup = value;
#line 143 "../src/gradio-settings.vala"
	_tmp0_ = self->priv->settings;
#line 143 "../src/gradio-settings.vala"
	g_settings_set_boolean (_tmp0_, "resume-playback-on-startup", value);
#line 141 "../src/gradio-settings.vala"
	g_object_notify_by_pspec ((GObject *) self, gradio_settings_properties[GRADIO_SETTINGS_RESUME_PLAYBACK_ON_STARTUP_PROPERTY]);
#line 590 "gradio-settings.c"
}

gboolean
gradio_settings_get_hide_broken_stations (GradioSettings* self)
{
	gboolean result;
#line 148 "../src/gradio-settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 149 "../src/gradio-settings.vala"
	result = self->priv->_hide_broken_stations;
#line 149 "../src/gradio-settings.vala"
	return result;
#line 603 "gradio-settings.c"
}

void
gradio_settings_set_hide_broken_stations (GradioSettings* self,
                                          gboolean value)
{
	GSettings* _tmp0_;
#line 151 "../src/gradio-settings.vala"
	g_return_if_fail (self != NULL);
#line 152 "../src/gradio-settings.vala"
	self->priv->_hide_broken_stations = value;
#line 153 "../src/gradio-settings.vala"
	_tmp0_ = self->priv->settings;
#line 153 "../src/gradio-settings.vala"
	g_settings_set_boolean (_tmp0_, "hide-broken-stations", value);
#line 151 "../src/gradio-settings.vala"
	g_object_notify_by_pspec ((GObject *) self, gradio_settings_properties[GRADIO_SETTINGS_HIDE_BROKEN_STATIONS_PROPERTY]);
#line 621 "gradio-settings.c"
}

gint
gradio_settings_get_previous_station (GradioSettings* self)
{
	gint result;
#line 158 "../src/gradio-settings.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 159 "../src/gradio-settings.vala"
	result = self->priv->_previous_station;
#line 159 "../src/gradio-settings.vala"
	return result;
#line 634 "gradio-settings.c"
}

void
gradio_settings_set_previous_station (GradioSettings* self,
                                      gint value)
{
	GSettings* _tmp0_;
#line 161 "../src/gradio-settings.vala"
	g_return_if_fail (self != NULL);
#line 162 "../src/gradio-settings.vala"
	self->priv->_previous_station = value;
#line 163 "../src/gradio-settings.vala"
	_tmp0_ = self->priv->settings;
#line 163 "../src/gradio-settings.vala"
	g_settings_set_int (_tmp0_, "previous-station", value);
#line 161 "../src/gradio-settings.vala"
	g_object_notify_by_pspec ((GObject *) self, gradio_settings_properties[GRADIO_SETTINGS_PREVIOUS_STATION_PROPERTY]);
#line 652 "gradio-settings.c"
}

gdouble
gradio_settings_get_volume_position (GradioSettings* self)
{
	gdouble result;
#line 168 "../src/gradio-settings.vala"
	g_return_val_if_fail (self != NULL, 0.0);
#line 169 "../src/gradio-settings.vala"
	result = self->priv->_volume_position;
#line 169 "../src/gradio-settings.vala"
	return result;
#line 665 "gradio-settings.c"
}

void
gradio_settings_set_volume_position (GradioSettings* self,
                                     gdouble value)
{
	GSettings* _tmp0_;
#line 171 "../src/gradio-settings.vala"
	g_return_if_fail (self != NULL);
#line 172 "../src/gradio-settings.vala"
	self->priv->_volume_position = value;
#line 173 "../src/gradio-settings.vala"
	_tmp0_ = self->priv->settings;
#line 173 "../src/gradio-settings.vala"
	g_settings_set_double (_tmp0_, "volume-position", value);
#line 171 "../src/gradio-settings.vala"
	g_object_notify_by_pspec ((GObject *) self, gradio_settings_properties[GRADIO_SETTINGS_VOLUME_POSITION_PROPERTY]);
#line 683 "gradio-settings.c"
}

gint
gradio_settings_get_window_height (GradioSettings* self)
{
	gint result;
#line 178 "../src/gradio-settings.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 179 "../src/gradio-settings.vala"
	result = self->priv->_window_height;
#line 179 "../src/gradio-settings.vala"
	return result;
#line 696 "gradio-settings.c"
}

void
gradio_settings_set_window_height (GradioSettings* self,
                                   gint value)
{
	GSettings* _tmp0_;
#line 181 "../src/gradio-settings.vala"
	g_return_if_fail (self != NULL);
#line 182 "../src/gradio-settings.vala"
	self->priv->_window_height = value;
#line 183 "../src/gradio-settings.vala"
	_tmp0_ = self->priv->settings;
#line 183 "../src/gradio-settings.vala"
	g_settings_set_int (_tmp0_, "window-height", value);
#line 181 "../src/gradio-settings.vala"
	g_object_notify_by_pspec ((GObject *) self, gradio_settings_properties[GRADIO_SETTINGS_WINDOW_HEIGHT_PROPERTY]);
#line 714 "gradio-settings.c"
}

gint
gradio_settings_get_window_width (GradioSettings* self)
{
	gint result;
#line 188 "../src/gradio-settings.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 189 "../src/gradio-settings.vala"
	result = self->priv->_window_width;
#line 189 "../src/gradio-settings.vala"
	return result;
#line 727 "gradio-settings.c"
}

void
gradio_settings_set_window_width (GradioSettings* self,
                                  gint value)
{
	GSettings* _tmp0_;
#line 191 "../src/gradio-settings.vala"
	g_return_if_fail (self != NULL);
#line 192 "../src/gradio-settings.vala"
	self->priv->_window_width = value;
#line 193 "../src/gradio-settings.vala"
	_tmp0_ = self->priv->settings;
#line 193 "../src/gradio-settings.vala"
	g_settings_set_int (_tmp0_, "window-width", value);
#line 191 "../src/gradio-settings.vala"
	g_object_notify_by_pspec ((GObject *) self, gradio_settings_properties[GRADIO_SETTINGS_WINDOW_WIDTH_PROPERTY]);
#line 745 "gradio-settings.c"
}

gint
gradio_settings_get_icon_zoom (GradioSettings* self)
{
	gint result;
#line 198 "../src/gradio-settings.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 199 "../src/gradio-settings.vala"
	result = self->priv->_icon_zoom;
#line 199 "../src/gradio-settings.vala"
	return result;
#line 758 "gradio-settings.c"
}

void
gradio_settings_set_icon_zoom (GradioSettings* self,
                               gint value)
{
	GSettings* _tmp0_;
#line 201 "../src/gradio-settings.vala"
	g_return_if_fail (self != NULL);
#line 202 "../src/gradio-settings.vala"
	self->priv->_icon_zoom = value;
#line 203 "../src/gradio-settings.vala"
	_tmp0_ = self->priv->settings;
#line 203 "../src/gradio-settings.vala"
	g_settings_set_int (_tmp0_, "icon-zoom", value);
#line 201 "../src/gradio-settings.vala"
	g_object_notify_by_pspec ((GObject *) self, gradio_settings_properties[GRADIO_SETTINGS_ICON_ZOOM_PROPERTY]);
#line 776 "gradio-settings.c"
}

GradioCompare
gradio_settings_get_station_sorting (GradioSettings* self)
{
	GradioCompare result;
	GradioCompare _tmp0_;
#line 208 "../src/gradio-settings.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 209 "../src/gradio-settings.vala"
	_tmp0_ = self->priv->_station_sorting;
#line 209 "../src/gradio-settings.vala"
	result = _tmp0_;
#line 209 "../src/gradio-settings.vala"
	return result;
#line 792 "gradio-settings.c"
}

void
gradio_settings_set_station_sorting (GradioSettings* self,
                                     GradioCompare value)
{
	GSettings* _tmp0_;
	GradioCompare _tmp1_;
#line 211 "../src/gradio-settings.vala"
	g_return_if_fail (self != NULL);
#line 212 "../src/gradio-settings.vala"
	self->priv->_station_sorting = value;
#line 213 "../src/gradio-settings.vala"
	_tmp0_ = self->priv->settings;
#line 213 "../src/gradio-settings.vala"
	_tmp1_ = self->priv->_station_sorting;
#line 213 "../src/gradio-settings.vala"
	g_settings_set_int (_tmp0_, "station-sorting", (gint) _tmp1_);
#line 211 "../src/gradio-settings.vala"
	g_object_notify_by_pspec ((GObject *) self, gradio_settings_properties[GRADIO_SETTINGS_STATION_SORTING_PROPERTY]);
#line 813 "gradio-settings.c"
}

gboolean
gradio_settings_get_sort_ascending (GradioSettings* self)
{
	gboolean result;
#line 218 "../src/gradio-settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 219 "../src/gradio-settings.vala"
	result = self->priv->_sort_ascending;
#line 219 "../src/gradio-settings.vala"
	return result;
#line 826 "gradio-settings.c"
}

void
gradio_settings_set_sort_ascending (GradioSettings* self,
                                    gboolean value)
{
	GSettings* _tmp0_;
#line 221 "../src/gradio-settings.vala"
	g_return_if_fail (self != NULL);
#line 222 "../src/gradio-settings.vala"
	self->priv->_sort_ascending = value;
#line 223 "../src/gradio-settings.vala"
	_tmp0_ = self->priv->settings;
#line 223 "../src/gradio-settings.vala"
	g_settings_set_boolean (_tmp0_, "sort-ascending", self->priv->_sort_ascending);
#line 221 "../src/gradio-settings.vala"
	g_object_notify_by_pspec ((GObject *) self, gradio_settings_properties[GRADIO_SETTINGS_SORT_ASCENDING_PROPERTY]);
#line 844 "gradio-settings.c"
}

gint
gradio_settings_get_max_search_results (GradioSettings* self)
{
	gint result;
#line 228 "../src/gradio-settings.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 229 "../src/gradio-settings.vala"
	result = self->priv->_max_search_results;
#line 229 "../src/gradio-settings.vala"
	return result;
#line 857 "gradio-settings.c"
}

void
gradio_settings_set_max_search_results (GradioSettings* self,
                                        gint value)
{
	GSettings* _tmp0_;
#line 231 "../src/gradio-settings.vala"
	g_return_if_fail (self != NULL);
#line 232 "../src/gradio-settings.vala"
	self->priv->_max_search_results = value;
#line 233 "../src/gradio-settings.vala"
	_tmp0_ = self->priv->settings;
#line 233 "../src/gradio-settings.vala"
	g_settings_set_int (_tmp0_, "max-search-results", self->priv->_max_search_results);
#line 231 "../src/gradio-settings.vala"
	g_object_notify_by_pspec ((GObject *) self, gradio_settings_properties[GRADIO_SETTINGS_MAX_SEARCH_RESULTS_PROPERTY]);
#line 875 "gradio-settings.c"
}

static void
gradio_settings_class_init (GradioSettingsClass * klass,
                            gpointer klass_data)
{
#line 19 "../src/gradio-settings.vala"
	gradio_settings_parent_class = g_type_class_peek_parent (klass);
#line 19 "../src/gradio-settings.vala"
	g_type_class_adjust_private_offset (klass, &GradioSettings_private_offset);
#line 19 "../src/gradio-settings.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_gradio_settings_get_property;
#line 19 "../src/gradio-settings.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_gradio_settings_set_property;
#line 19 "../src/gradio-settings.vala"
	G_OBJECT_CLASS (klass)->finalize = gradio_settings_finalize;
#line 19 "../src/gradio-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), GRADIO_SETTINGS_ENABLE_NOTIFICATIONS_PROPERTY, gradio_settings_properties[GRADIO_SETTINGS_ENABLE_NOTIFICATIONS_PROPERTY] = g_param_spec_boolean ("enable-notifications", "enable-notifications", "enable-notifications", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 19 "../src/gradio-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), GRADIO_SETTINGS_ENABLE_TRAY_ICON_PROPERTY, gradio_settings_properties[GRADIO_SETTINGS_ENABLE_TRAY_ICON_PROPERTY] = g_param_spec_boolean ("enable-tray-icon", "enable-tray-icon", "enable-tray-icon", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 19 "../src/gradio-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), GRADIO_SETTINGS_ENABLE_DARK_THEME_PROPERTY, gradio_settings_properties[GRADIO_SETTINGS_ENABLE_DARK_THEME_PROPERTY] = g_param_spec_boolean ("enable-dark-theme", "enable-dark-theme", "enable-dark-theme", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 19 "../src/gradio-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), GRADIO_SETTINGS_SHOW_TECHNICAL_INFO_PROPERTY, gradio_settings_properties[GRADIO_SETTINGS_SHOW_TECHNICAL_INFO_PROPERTY] = g_param_spec_boolean ("show-technical-info", "show-technical-info", "show-technical-info", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 19 "../src/gradio-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), GRADIO_SETTINGS_ENABLE_MPRIS_PROPERTY, gradio_settings_properties[GRADIO_SETTINGS_ENABLE_MPRIS_PROPERTY] = g_param_spec_boolean ("enable-mpris", "enable-mpris", "enable-mpris", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 19 "../src/gradio-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), GRADIO_SETTINGS_ENABLE_BACKGROUND_PLAYBACK_PROPERTY, gradio_settings_properties[GRADIO_SETTINGS_ENABLE_BACKGROUND_PLAYBACK_PROPERTY] = g_param_spec_boolean ("enable-background-playback", "enable-background-playback", "enable-background-playback", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 19 "../src/gradio-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), GRADIO_SETTINGS_ENABLE_CACHING_PROPERTY, gradio_settings_properties[GRADIO_SETTINGS_ENABLE_CACHING_PROPERTY] = g_param_spec_boolean ("enable-caching", "enable-caching", "enable-caching", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 19 "../src/gradio-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), GRADIO_SETTINGS_RESUME_PLAYBACK_ON_STARTUP_PROPERTY, gradio_settings_properties[GRADIO_SETTINGS_RESUME_PLAYBACK_ON_STARTUP_PROPERTY] = g_param_spec_boolean ("resume-playback-on-startup", "resume-playback-on-startup", "resume-playback-on-startup", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 19 "../src/gradio-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), GRADIO_SETTINGS_HIDE_BROKEN_STATIONS_PROPERTY, gradio_settings_properties[GRADIO_SETTINGS_HIDE_BROKEN_STATIONS_PROPERTY] = g_param_spec_boolean ("hide-broken-stations", "hide-broken-stations", "hide-broken-stations", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 19 "../src/gradio-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), GRADIO_SETTINGS_PREVIOUS_STATION_PROPERTY, gradio_settings_properties[GRADIO_SETTINGS_PREVIOUS_STATION_PROPERTY] = g_param_spec_int ("previous-station", "previous-station", "previous-station", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 19 "../src/gradio-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), GRADIO_SETTINGS_VOLUME_POSITION_PROPERTY, gradio_settings_properties[GRADIO_SETTINGS_VOLUME_POSITION_PROPERTY] = g_param_spec_double ("volume-position", "volume-position", "volume-position", -G_MAXDOUBLE, G_MAXDOUBLE, 0.0, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 19 "../src/gradio-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), GRADIO_SETTINGS_WINDOW_HEIGHT_PROPERTY, gradio_settings_properties[GRADIO_SETTINGS_WINDOW_HEIGHT_PROPERTY] = g_param_spec_int ("window-height", "window-height", "window-height", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 19 "../src/gradio-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), GRADIO_SETTINGS_WINDOW_WIDTH_PROPERTY, gradio_settings_properties[GRADIO_SETTINGS_WINDOW_WIDTH_PROPERTY] = g_param_spec_int ("window-width", "window-width", "window-width", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 19 "../src/gradio-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), GRADIO_SETTINGS_ICON_ZOOM_PROPERTY, gradio_settings_properties[GRADIO_SETTINGS_ICON_ZOOM_PROPERTY] = g_param_spec_int ("icon-zoom", "icon-zoom", "icon-zoom", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 19 "../src/gradio-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), GRADIO_SETTINGS_STATION_SORTING_PROPERTY, gradio_settings_properties[GRADIO_SETTINGS_STATION_SORTING_PROPERTY] = g_param_spec_enum ("station-sorting", "station-sorting", "station-sorting", GRADIO_TYPE_COMPARE, 0, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 19 "../src/gradio-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), GRADIO_SETTINGS_SORT_ASCENDING_PROPERTY, gradio_settings_properties[GRADIO_SETTINGS_SORT_ASCENDING_PROPERTY] = g_param_spec_boolean ("sort-ascending", "sort-ascending", "sort-ascending", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 19 "../src/gradio-settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), GRADIO_SETTINGS_MAX_SEARCH_RESULTS_PROPERTY, gradio_settings_properties[GRADIO_SETTINGS_MAX_SEARCH_RESULTS_PROPERTY] = g_param_spec_int ("max-search-results", "max-search-results", "max-search-results", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 926 "gradio-settings.c"
}

static void
gradio_settings_instance_init (GradioSettings * self,
                               gpointer klass)
{
#line 19 "../src/gradio-settings.vala"
	self->priv = gradio_settings_get_instance_private (self);
#line 935 "gradio-settings.c"
}

static void
gradio_settings_finalize (GObject * obj)
{
	GradioSettings * self;
#line 19 "../src/gradio-settings.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, GRADIO_TYPE_SETTINGS, GradioSettings);
#line 21 "../src/gradio-settings.vala"
	_g_object_unref0 (self->priv->settings);
#line 19 "../src/gradio-settings.vala"
	G_OBJECT_CLASS (gradio_settings_parent_class)->finalize (obj);
#line 948 "gradio-settings.c"
}

GType
gradio_settings_get_type (void)
{
	static volatile gsize gradio_settings_type_id__volatile = 0;
	if (g_once_init_enter (&gradio_settings_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (GradioSettingsClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) gradio_settings_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (GradioSettings), 0, (GInstanceInitFunc) gradio_settings_instance_init, NULL };
		GType gradio_settings_type_id;
		gradio_settings_type_id = g_type_register_static (G_TYPE_OBJECT, "GradioSettings", &g_define_type_info, 0);
		GradioSettings_private_offset = g_type_add_instance_private (gradio_settings_type_id, sizeof (GradioSettingsPrivate));
		g_once_init_leave (&gradio_settings_type_id__volatile, gradio_settings_type_id);
	}
	return gradio_settings_type_id__volatile;
}

static void
_vala_gradio_settings_get_property (GObject * object,
                                    guint property_id,
                                    GValue * value,
                                    GParamSpec * pspec)
{
	GradioSettings * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, GRADIO_TYPE_SETTINGS, GradioSettings);
#line 19 "../src/gradio-settings.vala"
	switch (property_id) {
#line 19 "../src/gradio-settings.vala"
		case GRADIO_SETTINGS_ENABLE_NOTIFICATIONS_PROPERTY:
#line 19 "../src/gradio-settings.vala"
		g_value_set_boolean (value, gradio_settings_get_enable_notifications (self));
#line 19 "../src/gradio-settings.vala"
		break;
#line 19 "../src/gradio-settings.vala"
		case GRADIO_SETTINGS_ENABLE_TRAY_ICON_PROPERTY:
#line 19 "../src/gradio-settings.vala"
		g_value_set_boolean (value, gradio_settings_get_enable_tray_icon (self));
#line 19 "../src/gradio-settings.vala"
		break;
#line 19 "../src/gradio-settings.vala"
		case GRADIO_SETTINGS_ENABLE_DARK_THEME_PROPERTY:
#line 19 "../src/gradio-settings.vala"
		g_value_set_boolean (value, gradio_settings_get_enable_dark_theme (self));
#line 19 "../src/gradio-settings.vala"
		break;
#line 19 "../src/gradio-settings.vala"
		case GRADIO_SETTINGS_SHOW_TECHNICAL_INFO_PROPERTY:
#line 19 "../src/gradio-settings.vala"
		g_value_set_boolean (value, gradio_settings_get_show_technical_info (self));
#line 19 "../src/gradio-settings.vala"
		break;
#line 19 "../src/gradio-settings.vala"
		case GRADIO_SETTINGS_ENABLE_MPRIS_PROPERTY:
#line 19 "../src/gradio-settings.vala"
		g_value_set_boolean (value, gradio_settings_get_enable_mpris (self));
#line 19 "../src/gradio-settings.vala"
		break;
#line 19 "../src/gradio-settings.vala"
		case GRADIO_SETTINGS_ENABLE_BACKGROUND_PLAYBACK_PROPERTY:
#line 19 "../src/gradio-settings.vala"
		g_value_set_boolean (value, gradio_settings_get_enable_background_playback (self));
#line 19 "../src/gradio-settings.vala"
		break;
#line 19 "../src/gradio-settings.vala"
		case GRADIO_SETTINGS_ENABLE_CACHING_PROPERTY:
#line 19 "../src/gradio-settings.vala"
		g_value_set_boolean (value, gradio_settings_get_enable_caching (self));
#line 19 "../src/gradio-settings.vala"
		break;
#line 19 "../src/gradio-settings.vala"
		case GRADIO_SETTINGS_RESUME_PLAYBACK_ON_STARTUP_PROPERTY:
#line 19 "../src/gradio-settings.vala"
		g_value_set_boolean (value, gradio_settings_get_resume_playback_on_startup (self));
#line 19 "../src/gradio-settings.vala"
		break;
#line 19 "../src/gradio-settings.vala"
		case GRADIO_SETTINGS_HIDE_BROKEN_STATIONS_PROPERTY:
#line 19 "../src/gradio-settings.vala"
		g_value_set_boolean (value, gradio_settings_get_hide_broken_stations (self));
#line 19 "../src/gradio-settings.vala"
		break;
#line 19 "../src/gradio-settings.vala"
		case GRADIO_SETTINGS_PREVIOUS_STATION_PROPERTY:
#line 19 "../src/gradio-settings.vala"
		g_value_set_int (value, gradio_settings_get_previous_station (self));
#line 19 "../src/gradio-settings.vala"
		break;
#line 19 "../src/gradio-settings.vala"
		case GRADIO_SETTINGS_VOLUME_POSITION_PROPERTY:
#line 19 "../src/gradio-settings.vala"
		g_value_set_double (value, gradio_settings_get_volume_position (self));
#line 19 "../src/gradio-settings.vala"
		break;
#line 19 "../src/gradio-settings.vala"
		case GRADIO_SETTINGS_WINDOW_HEIGHT_PROPERTY:
#line 19 "../src/gradio-settings.vala"
		g_value_set_int (value, gradio_settings_get_window_height (self));
#line 19 "../src/gradio-settings.vala"
		break;
#line 19 "../src/gradio-settings.vala"
		case GRADIO_SETTINGS_WINDOW_WIDTH_PROPERTY:
#line 19 "../src/gradio-settings.vala"
		g_value_set_int (value, gradio_settings_get_window_width (self));
#line 19 "../src/gradio-settings.vala"
		break;
#line 19 "../src/gradio-settings.vala"
		case GRADIO_SETTINGS_ICON_ZOOM_PROPERTY:
#line 19 "../src/gradio-settings.vala"
		g_value_set_int (value, gradio_settings_get_icon_zoom (self));
#line 19 "../src/gradio-settings.vala"
		break;
#line 19 "../src/gradio-settings.vala"
		case GRADIO_SETTINGS_STATION_SORTING_PROPERTY:
#line 19 "../src/gradio-settings.vala"
		g_value_set_enum (value, gradio_settings_get_station_sorting (self));
#line 19 "../src/gradio-settings.vala"
		break;
#line 19 "../src/gradio-settings.vala"
		case GRADIO_SETTINGS_SORT_ASCENDING_PROPERTY:
#line 19 "../src/gradio-settings.vala"
		g_value_set_boolean (value, gradio_settings_get_sort_ascending (self));
#line 19 "../src/gradio-settings.vala"
		break;
#line 19 "../src/gradio-settings.vala"
		case GRADIO_SETTINGS_MAX_SEARCH_RESULTS_PROPERTY:
#line 19 "../src/gradio-settings.vala"
		g_value_set_int (value, gradio_settings_get_max_search_results (self));
#line 19 "../src/gradio-settings.vala"
		break;
#line 1077 "gradio-settings.c"
		default:
#line 19 "../src/gradio-settings.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 19 "../src/gradio-settings.vala"
		break;
#line 1083 "gradio-settings.c"
	}
}

static void
_vala_gradio_settings_set_property (GObject * object,
                                    guint property_id,
                                    const GValue * value,
                                    GParamSpec * pspec)
{
	GradioSettings * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, GRADIO_TYPE_SETTINGS, GradioSettings);
#line 19 "../src/gradio-settings.vala"
	switch (property_id) {
#line 19 "../src/gradio-settings.vala"
		case GRADIO_SETTINGS_ENABLE_NOTIFICATIONS_PROPERTY:
#line 19 "../src/gradio-settings.vala"
		gradio_settings_set_enable_notifications (self, g_value_get_boolean (value));
#line 19 "../src/gradio-settings.vala"
		break;
#line 19 "../src/gradio-settings.vala"
		case GRADIO_SETTINGS_ENABLE_TRAY_ICON_PROPERTY:
#line 19 "../src/gradio-settings.vala"
		gradio_settings_set_enable_tray_icon (self, g_value_get_boolean (value));
#line 19 "../src/gradio-settings.vala"
		break;
#line 19 "../src/gradio-settings.vala"
		case GRADIO_SETTINGS_ENABLE_DARK_THEME_PROPERTY:
#line 19 "../src/gradio-settings.vala"
		gradio_settings_set_enable_dark_theme (self, g_value_get_boolean (value));
#line 19 "../src/gradio-settings.vala"
		break;
#line 19 "../src/gradio-settings.vala"
		case GRADIO_SETTINGS_SHOW_TECHNICAL_INFO_PROPERTY:
#line 19 "../src/gradio-settings.vala"
		gradio_settings_set_show_technical_info (self, g_value_get_boolean (value));
#line 19 "../src/gradio-settings.vala"
		break;
#line 19 "../src/gradio-settings.vala"
		case GRADIO_SETTINGS_ENABLE_MPRIS_PROPERTY:
#line 19 "../src/gradio-settings.vala"
		gradio_settings_set_enable_mpris (self, g_value_get_boolean (value));
#line 19 "../src/gradio-settings.vala"
		break;
#line 19 "../src/gradio-settings.vala"
		case GRADIO_SETTINGS_ENABLE_BACKGROUND_PLAYBACK_PROPERTY:
#line 19 "../src/gradio-settings.vala"
		gradio_settings_set_enable_background_playback (self, g_value_get_boolean (value));
#line 19 "../src/gradio-settings.vala"
		break;
#line 19 "../src/gradio-settings.vala"
		case GRADIO_SETTINGS_ENABLE_CACHING_PROPERTY:
#line 19 "../src/gradio-settings.vala"
		gradio_settings_set_enable_caching (self, g_value_get_boolean (value));
#line 19 "../src/gradio-settings.vala"
		break;
#line 19 "../src/gradio-settings.vala"
		case GRADIO_SETTINGS_RESUME_PLAYBACK_ON_STARTUP_PROPERTY:
#line 19 "../src/gradio-settings.vala"
		gradio_settings_set_resume_playback_on_startup (self, g_value_get_boolean (value));
#line 19 "../src/gradio-settings.vala"
		break;
#line 19 "../src/gradio-settings.vala"
		case GRADIO_SETTINGS_HIDE_BROKEN_STATIONS_PROPERTY:
#line 19 "../src/gradio-settings.vala"
		gradio_settings_set_hide_broken_stations (self, g_value_get_boolean (value));
#line 19 "../src/gradio-settings.vala"
		break;
#line 19 "../src/gradio-settings.vala"
		case GRADIO_SETTINGS_PREVIOUS_STATION_PROPERTY:
#line 19 "../src/gradio-settings.vala"
		gradio_settings_set_previous_station (self, g_value_get_int (value));
#line 19 "../src/gradio-settings.vala"
		break;
#line 19 "../src/gradio-settings.vala"
		case GRADIO_SETTINGS_VOLUME_POSITION_PROPERTY:
#line 19 "../src/gradio-settings.vala"
		gradio_settings_set_volume_position (self, g_value_get_double (value));
#line 19 "../src/gradio-settings.vala"
		break;
#line 19 "../src/gradio-settings.vala"
		case GRADIO_SETTINGS_WINDOW_HEIGHT_PROPERTY:
#line 19 "../src/gradio-settings.vala"
		gradio_settings_set_window_height (self, g_value_get_int (value));
#line 19 "../src/gradio-settings.vala"
		break;
#line 19 "../src/gradio-settings.vala"
		case GRADIO_SETTINGS_WINDOW_WIDTH_PROPERTY:
#line 19 "../src/gradio-settings.vala"
		gradio_settings_set_window_width (self, g_value_get_int (value));
#line 19 "../src/gradio-settings.vala"
		break;
#line 19 "../src/gradio-settings.vala"
		case GRADIO_SETTINGS_ICON_ZOOM_PROPERTY:
#line 19 "../src/gradio-settings.vala"
		gradio_settings_set_icon_zoom (self, g_value_get_int (value));
#line 19 "../src/gradio-settings.vala"
		break;
#line 19 "../src/gradio-settings.vala"
		case GRADIO_SETTINGS_STATION_SORTING_PROPERTY:
#line 19 "../src/gradio-settings.vala"
		gradio_settings_set_station_sorting (self, g_value_get_enum (value));
#line 19 "../src/gradio-settings.vala"
		break;
#line 19 "../src/gradio-settings.vala"
		case GRADIO_SETTINGS_SORT_ASCENDING_PROPERTY:
#line 19 "../src/gradio-settings.vala"
		gradio_settings_set_sort_ascending (self, g_value_get_boolean (value));
#line 19 "../src/gradio-settings.vala"
		break;
#line 19 "../src/gradio-settings.vala"
		case GRADIO_SETTINGS_MAX_SEARCH_RESULTS_PROPERTY:
#line 19 "../src/gradio-settings.vala"
		gradio_settings_set_max_search_results (self, g_value_get_int (value));
#line 19 "../src/gradio-settings.vala"
		break;
#line 1199 "gradio-settings.c"
		default:
#line 19 "../src/gradio-settings.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 19 "../src/gradio-settings.vala"
		break;
#line 1205 "gradio-settings.c"
	}
}

